This method allows you to retrieve batch resources via the external_batch_id value if you provided one when creating the batch.
If you are new to batches in ShipStation API, be sure to read the Label Batches overview first.
- The
external_batch_idfor the batch you wish to get.
GET /v1/batches/external_batch_id/:external_batch_id
GET /v1/batches/external_batch_id/32cc2f34-5d9e-466c-8e3f-62c38ad9dc46 HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__Response
The response for this call will have the same result as the get batch by id request.
{
"label_layout": null,
"label_format": null,
"batch_id": "se-1013790",
"external_batch_id": "32cc2f34-5d9e-466c-8e3f-62c38ad9dc46",
"batch_notes": "2019-7-25 Morning Shipments",
"created_at": "2019-07-25T15:24:46.657Z",
"errors": 0,
"warnings": 0,
"completed": 0,
"forms": 0,
"count": 1,
"batch_shipments_url": {
"href": "https://api.shipengine.com/v1/shipments?batch_id=se-1013790"
},
"batch_labels_url": {
"href": "https://api.shipengine.com/v1/labels?batch_id=se-1013790"
},
"batch_errors_url": {
"href": "https://api.shipengine.com/v1/batches/se-1013790/errors"
},
"label_download": {
"href": "https://api.shipengine.com/v1/downloads/1/uths7PctKUqbM4OfmgzXLg/label-1013790.pdf"
},
"form_download": {
"href": "https://api.shipengine.com/v1/downloads/1/xKVZeKA650-bvQB_oriYkQ/form-1013790.pdf"
},
"status": "open"
}